For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETList fulfillments on an order
          • POSTCreate a fulfillment on an order
          • GETGet details of a single fulfillment
          • PUTUpdate details of a fulfillment
          • DELDelete a fulfillment
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Fulfillments

Create a fulfillment on an order

POST
https://api.feedamp.feedonomics.com/api/v2/orders/:order-id/fulfillments
POST
/api/v2/orders/:order-id/fulfillments
$curl -X POST https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments \
> -H "token: token" \
> -H "client: 1" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "fulfillment_type": "shipment",
> "shipment": {
> "shipped_date": "2024-06-15T10:30:00-04:00",
> "carrier": "FedEx",
> "tracking_number": "123456789012"
> }
>}'
1{
2 "id": "109872189273617283",
3 "fulfillment_type": "shipment",
4 "shipment": {
5 "shipped_date": "2024-06-15T10:30:00-04:00",
6 "carrier": "FedEx",
7 "tracking_number": "123456789012",
8 "tracking_url": "https://www.fedex.com/apps/fedextrack/?tracknumbers=123456789012"
9 },
10 "state": "shipped"
11}
Post a shipment for a specific set of items
Was this page helpful?
Previous

List fulfillments on an order

Next

Get details of a single fulfillment

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

order-idstringRequired
FeedAMP Order ID

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Request

This endpoint expects an object.
ShipmentobjectRequired
OR
LocalDeliveryobjectRequired
OR
PickupobjectRequired

Response

Fulfillment that was created
idstring
Unique identifier for a record
fulfillment_lineslist of objects
Specification of order lines and quantities contained in the shipment

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error